tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Madere, Colin" <colin.mad...@ieminc.com>
Subject RE: Apache2-Tomcat4 on Solaris 7 anyone?
Date Thu, 31 Oct 2002 22:48:43 GMT

	Yeah, I've got autoconf and automake installed but can't get libtool
to build correctly.  I have a libtool binary that was built when I tried to
build a previous version of jk, but I still get errors trying to use it and
off on too many tangents to fix all the problems 3 layers deep that I
decided to back off and see if anyone has successfully done this.

	Only reply so far is under Solaris 8 (which possibly would work
better for my situation than Solaris 7)... any chance you remember what you
did to get libtool to build correctly?

	And in case anyone is wondering I've tried the HOW-TO recently
posted to the list for JK/JK2 but I'm running into build problems following
those instructions too (not to mention they're slightly out of date so some
files mentioned in it are not in the latest connectors release).

	Any knights with well-polished armour out there?

	(BTW, my platform is inflexible due to customer requirements)

> : -----Original Message-----
> : From: Madere, Colin [mailto:colin.madere@ieminc.com] 
> : Sent: Thursday, October 31, 2002 3:42 PM
> : To: 'Tomcat Users List'
> : Subject: Apache2-Tomcat4 on Solaris 7 anyone?
> : 
> : 
> : I'm running into tool and building problem and problem.
> : 
> : I've got:
> : Solaris 7 on x86
> : Apache2.0.43 (compiled and working)
> : Tomcat 4.1.12-LE (working)
> : gcc 3.2
> : J2SDK 1.4.1_01
> : all suggested Solaris 7 for x86 patches
> : 
> : Does anyone out there have these (or similar) versions integrated and
> : working on Solaris 7?
> : 
> : Problem 1) Can't seem to build JK/JK2 due to libtool and 
> : related problems
> : Problem 2) Can't build libtool, so trying other methods of building
> 
> On Solaris 8, I had to download/install/cuisinart the following tools to
> even try to compile jk2:
> 
> autoconf-2.53.tar.gz
> automake-1.6.3.tar.gz
> libtool-1.4.2.tar.gz
> 
> I also found that I needed to modify the Makefiles/(used gmake) in order
> to
> get a couple of the native source code for the connector to compile:
> 
> -DBSD_COMP
> 
> When I tried to build the connectors using Ant, I found that I was way
> over
> my head and went the autoconf/automake/libtool route.
> 
> 
> : Problem 3) Can't build 'webapp' (WARP) connector due to error in build
> : 
> : Tired of trying to patch the many different build tool 
> : compiles so that I
> : can get the connectors compiled.  I got an older version of 
> : JK to compile,
> : but not the latest (and even that I couldn't test for other reasons).
> : 
> : 
> : --
> : To unsubscribe, e-mail:   
> : <mailto:tomcat-user-: unsubscribe@jakarta.apache.org>
> : For 
> : additional commands, 
> : e-mail: <mailto:tomcat-user-help@jakarta.apache.org>
> : 
> 
> --
> To unsubscribe, e-mail:
> <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
> For additional commands, e-mail:
> <mailto:tomcat-user-help@jakarta.apache.org>

--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message